Name:           ok400pcl
Version:        1
Release:        3
License:        GPL v2 or later
Source:         %{name}.tar.gz
Group:          Hardware/Printing
Summary:        Printer Description File for OKI B4000, B400 and MB400 PCL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       cups
 
# norootforbuild
 
%description
Printer Description File for OKI B4000, B400 and MB400 PCL
%prep
%setup -n %{name}
 
%build
 
%install
PPD_PATH="/usr/share/ppd"
CUPSPPD_PATH="/usr/share/cups/model"
_PPD_PATH=""
if [ -x ${CUPSPPD_PATH} ] ; then
	_PPD_PATH="${CUPSPPD_PATH}"
elif [ -x ${PPD_PATH} ] ; then
	_PPD_PATH="${PPD_PATH}"
fi
_PPD_PATH="${_PPD_PATH:-${CUPSPPD_PATH}}"

mkdir -p %{buildroot}/${_PPD_PATH}/
install -c -m 444 ok*ppd* %{buildroot}/${_PPD_PATH}/
mkdir -p %{buildroot}/usr/lib/cups/filter/
install -c -m 555 rastertookimonochrome %{buildroot}/usr/lib/cups/filter/

%post -p /bin/sh
# restart cups
_CUPS="/etc/init.d/cups"
_CUPSD="/etc/init.d/cupsd"
_CUPSYS="/etc/init.d/cupsys"
for i in ${_CUPS} ${_CUPSD} ${_CUPSYS}
do
	if [ -f ${i} ]; then
		${i} restart  > /dev/null 2>&1
	fi
done
 
%clean


%files
%defattr(-,root,root)
/usr/share/cups/model/ok*ppd*
/usr/lib/cups/filter/rastertookimonochrome
 
%changelog
